// ChildView.cpp : implementation of the CChildView class
//

#include "stdafx.h"
#include "SimpleDraw.h"
#include "ChildView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CChildView

CChildView::CChildView()
{
}

CChildView::~CChildView()
{
}


BEGIN_MESSAGE_MAP(CChildView, CWnd)
	ON_WM_PAINT()
END_MESSAGE_MAP()



// CChildView message handlers

BOOL CChildView::PreCreateWindow(CREATESTRUCT& cs) 
{
	if (!CWnd::PreCreateWindow(cs))
		return FALSE;

	cs.dwExStyle |= WS_EX_CLIENTEDGE;
	cs.style &= ~WS_BORDER;
	cs.lpszClass = AfxRegisterWndClass(CS_HREDRAW|CS_VREDRAW|CS_DBLCLKS, 
		::LoadCursor(NULL, IDC_ARROW), reinterpret_cast<HBRUSH>(COLOR_WINDOW+1), NULL);

	return TRUE;
}

void CChildView::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	// TODO: Add your message handler code here

	// text 
	CRect rect;
	GetClientRect(&rect);
	dc.DrawText("HCI Programming II", &rect, DT_CENTER|DT_TOP|DT_SINGLELINE);

	// StockObject ̿ Ÿ׸
	// 輱 ̰ ΰ  ִ Ÿ ׸.
	dc.SelectStockObject(BLACK_PEN);
	dc.SelectStockObject(NULL_BRUSH);
	dc.Ellipse(50, 350, 200, 150);
	// 輱 ̰ ΰ  ִ Ÿ ׸.
	dc.SelectStockObject(NULL_PEN);
	dc.SelectStockObject(LTGRAY_BRUSH);
	dc.Ellipse(250, 350, 400, 150);
	
	// CPen ̿Ͽ Ӽٲٰ, line 簢׸
	CPen bdpen(PS_DASHDOT, 1, RGB(0, 0, 255)), *oldpen;
	oldpen = dc.SelectObject(&bdpen);
	dc.MoveTo(500, 150);
	dc.LineTo(700, 150);
	dc.MoveTo(700, 150);
	dc.LineTo(700, 350);
	dc.MoveTo(700, 350);
	dc.LineTo(500, 350);
	dc.MoveTo(500, 350);
	dc.LineTo(500, 150);
	dc.SelectObject(oldpen);

	// CBitmap ̿Ͽ Ʈ̹ ҷ, CBrush  ־ 簢׸
	CBitmap bitmap;
	bitmap.LoadBitmap(IDB_BITMAP1);
	CBrush bitmapBrush(&bitmap);
	dc.SelectObject(&bitmapBrush);
	dc.Rectangle(800, 150, 1000, 350);

	// Do not call CWnd::OnPaint() for painting messages
}

